RagTime5Pipeline Class Reference

the main class to read the text part of RagTime 56 file More...

`#include <RagTime5Pipeline.hxx>`

## Public Member Functions
| RagTime5Pipeline (RagTime5Document &doc)
| constructor
virtual | ~RagTime5Pipeline ()
| destructor
int | version () const
| returns the file version

## Static Public Member Functions
static std::string | printType (unsigned long fileType)
| debug: print a file type

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener
std::shared_ptr< RagTime5ClusterManager::Cluster > | readPipelineCluster (RagTime5Zone &zone, int zoneType)
| try to read a pipeline cluster
RagTime5ClusterManager::Cluster::Type | getContainerType (int pipelineId) const
| try to return the container's type corresponding to an id
bool | send (int pipelineId, MWAWListenerPtr listener, MWAWPosition const &pos, int partId=0, double totalWidth=-1)
| try to send the container corresponding to pipelineId (mainly unimplemented)

## Protected Attributes
RagTime5Document & | m_document
| the parser
std::shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< RagTime5PipelineInternal::State > | m_state
| the state

## Private Member Functions
| RagTime5Pipeline (RagTime5Pipeline const &orig)=delete
RagTime5Pipeline & | operator= (RagTime5Pipeline const &orig)=delete

## Friends
class | RagTime5Document

## Detailed Description

the main class to read the text part of RagTime 56 file

## Constructor & Destructor Documentation

## ◆ RagTime5Pipeline() [1/2]

RagTime5Pipeline::RagTime5Pipeline | ( | RagTime5Document & | doc | ) |
| explicit

constructor

Referenced by operator=(), and RagTime5Pipeline().

## ◆ ~RagTime5Pipeline()

RagTime5Pipeline::~RagTime5Pipeline | ( |  | ) |
| virtual

destructor

## ◆ RagTime5Pipeline() [2/2]

RagTime5Pipeline::RagTime5Pipeline | ( | RagTime5Pipeline const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ flushExtra()

void RagTime5Pipeline::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ getContainerType()

RagTime5ClusterManager::Cluster::Type RagTime5Pipeline::getContainerType | ( | int | pipelineId | ) | const
| protected

try to return the container's type corresponding to an id

## ◆ operator=()

RagTime5Pipeline & RagTime5Pipeline::operator= | ( | RagTime5Pipeline const & | orig | ) |
| private delete

## ◆ printType()

std::string RagTime5Pipeline::printType | ( | unsigned long | fileType | ) |
| inline static

debug: print a file type

## ◆ readPipelineCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Pipeline::readPipelineCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType )
| protected

try to read a pipeline cluster

## ◆ send()

bool RagTime5Pipeline::send | ( | int | pipelineId,
|  | MWAWListenerPtr | listener,
|  | MWAWPosition const & | pos,
|  | int | partId = 0,
|  | double | totalWidth = -1 )
| protected

try to send the container corresponding to pipelineId (mainly unimplemented)

## ◆ version()

int RagTime5Pipeline::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## ◆ RagTime5Document

friend class RagTime5Document
| friend

Referenced by RagTime5Document, and RagTime5Pipeline().

## Member Data Documentation

## ◆ m_document

RagTime5Document& RagTime5Pipeline::m_document
| protected

the parser

Referenced by getContainerType(), RagTime5Pipeline(), readPipelineCluster(), and send().

## ◆ m_parserState

MWAWParserStatePtr RagTime5Pipeline::m_parserState
| protected

the parser state

Referenced by RagTime5Pipeline(), and version().

## ◆ m_state

std::shared_ptr<RagTime5PipelineInternal::State> RagTime5Pipeline::m_state
| protected

the state

Referenced by getContainerType(), RagTime5Pipeline(), readPipelineCluster(), and send().

## ◆ m_structManager

std::shared_ptr<RagTime5StructManager> RagTime5Pipeline::m_structManager
| protected

the structure manager

Referenced by RagTime5Pipeline().

The documentation for this class was generated from the following files:

- RagTime5Pipeline.hxx
- RagTime5Pipeline.cxx